This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 176588 - draft-ietf-mpls-icmp support vanished
draft-ietf-mpls-icmp support vanished
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: traceroute (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Martin Bacovsky
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-12-27 02:28 EST by Kaj J. Niemi
Modified: 2008-10-03 18:34 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-23 10:26:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kaj J. Niemi 2005-12-27 02:28:16 EST
Description of problem:
Traceroute does not seem to support draft-ietf-mpls-icmp anymore. All the major
router vendors currently support it and it is a very nice diagnostic tool. The
draft defines and extension to append MPLS label stack information to ICMP
messages as it was received by the router generating the message. 


Version-Release number of selected component (if applicable):
traceroute-1.0.3-5.1.i386

How reproducible:
Always
Comment 1 Peter Bieringer 2006-06-14 19:04:11 EDT
I saw this last times during diagnostics (on a RHEL4 system)...wonder about the
information disclosure  a little bit ;-)
Comment 2 Martin Bacovsky 2006-10-23 10:26:42 EDT
Current traceroute was replaced by traceroute developed by Dmitry Butskoy. It
provides same functionality as the other, ICMP support, is IPv6 ready and has
some other features. Their interfaces are compatible so I put it in FC5 and FC6
updates as well as RAWHIDE. 
Last version available is traceroute-2.0.1
Comment 3 Dmitry Butskoy 2008-09-17 11:13:19 EDT
New upstream version 2.0.12 is released (http://traceroute.sourceforge.net), which has support for icmp extensions (including MPLS), by `-e' cmdline option. The extensions data is printed in a slightly different manner -- in a style and spirit of origin traceroute, i.e. just after the address in the same line. MPLS data is parsed, other just hex dump.

traceroute-2.0.12 should appear soon in Fedora as well.
Comment 4 Fedora Update System 2008-09-17 12:19:43 EDT
traceroute-2.0.12-1.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/traceroute-2.0.12-1.fc9
Comment 5 Fedora Update System 2008-09-17 12:21:55 EDT
traceroute-2.0.12-1.fc8 has been submitted as an update for Fedora 8.
http://admin.fedoraproject.org/updates/traceroute-2.0.12-1.fc8
Comment 6 Fedora Update System 2008-10-03 18:28:12 EDT
traceroute-2.0.12-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2008-10-03 18:34:19 EDT
traceroute-2.0.12-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.